#!/bin/sh

HOOK_DIR="/var/packages/ActiveBackup-Office365/target/bin/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
LICENSE_HOOK="${HOOK_DIR}/license-myds-hook"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${LICENSE_HOOK} --sdk-mod-ver
	;;

	# execute pre hook
	--pre)
		${LICENSE_HOOK} --pre-logout
	;;

	*)
	;;
esac


